## Class TBulletedListEventParameter

Description

TBulletedListEventParameter Event parameter for TBulletedList::onClick event of the bulleted list. The getIndex gives the zero-based index of the item that is currently being clicked.

- since: 3.0
- version: $Id: TBulletedList.php 1747 2007-03-06 19:45:45Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TBulletedList.php (line 417)

    TComponent
       |
       --TEventParameter
          |
          --TBulletedListEventParameter

Method Summary
TBulletedListEventParameter __construct (integer $index)
integer getIndex ()
Methods
Constructor __construct (line 428)

Constructor.

- access: public

TBulletedListEventParameter __construct (integer $index)

- integer $index: index of the item clicked

getIndex (line 436)

- return: zero-based index of the item (rendered as a link button) that is clicked
- access: public

integer getIndex ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:31:49 -0400 by phpDocumentor 1.3.0RC4